Skip to main content
PUT
/
workspace
/
{workspace_id}
/
workflow_test
/
{workflow_test_id}
Update a workflow test
curl --request PUT \
  --url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/workflow_test/{workflow_test_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: text/x-xanoscript' \
  --data 'workflow_test foo {
  stack {
    var $x1 {
      value = 1 + 2 + 3
    }
  }
}
'
{
  "id": 1,
  "created_at": "2023-04-19 21:01:32+0000",
  "updated_at": "2023-04-19 21:01:32+0000",
  "name": "Workflow Test",
  "description": "My workflow test description",
  "docs": "Documentation",
  "guid": "YE1fwVhQ-enRlc6Sb42Gqru58-0",
  "datasource": "test",
  "branch": "v1",
  "tag": [
    "example tag"
  ],
  "xanoscript": {
    "status": "ok",
    "value": "<string>",
    "message": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_id
integer<int64>
required
workflow_test_id
integer<int64>
required

Query Parameters

publish
boolean
default:true
include_xanoscript
boolean
default:false

Body

The body is of type string.

Example:

"workflow_test foo {\n stack {\n var $x1 {\n value = 1 + 2 + 3\n }\n }\n}\n"

Response

Success!

id
integer<int64>
default:1
created_at
string<timestamptz>
default:2023-04-19 21:01:32+0000
updated_at
string<timestamptz>
default:2023-04-19 21:01:32+0000
name
string
default:Workflow Test
description
string
default:My workflow test description
docs
string
default:Documentation
guid
string
default:YE1fwVhQ-enRlc6Sb42Gqru58-0
datasource
string
default:test
branch
string
default:v1
tag
string[]
xanoscript
object